# Uses of Class
org.apache.solr.common.SolrException

Packages that use SolrException
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SolrException in org.apache.solr.client.solrj

Subclasses of SolrException in org.apache.solr.client.solrj
Modifier and Type
Class
Description
`final class`
`RemoteSolrException`
Subclass of SolrException that allows us to capture an arbitrary HTTP status code and error details that may have been returned by the remote server or a proxy along the way.

## Uses of SolrException in org.apache.solr.client.solrj.impl

Subclasses of SolrException in org.apache.solr.client.solrj.impl
Modifier and Type
Class
Description
`static class`
`CloudSolrClient.RouteException`
Methods in org.apache.solr.client.solrj.impl that throw SolrException
Modifier and Type
Method
Description
`protected DocCollection`
CloudSolrClient.`getDocCollection(String collection, Integer expectedVersion)`

## Uses of SolrException in org.apache.solr.common

Subclasses of SolrException in org.apache.solr.common
Modifier and Type
Class
Description
`class`
`NonExistentCoreException`
`final class`
`SolrErrorWrappingException`
Subclass of SolrException that allows us to wrap arbitrary error objects, and pass them in the errorMessage while preserving the error object structure when returning a response to the user.
Methods in org.apache.solr.common that return SolrException
Modifier and Type
Method
Description
`static SolrException`
SolrException.`wrapLuceneTragicExceptionIfNecessary(Exception e)`
Ensure that the provided tragic exception is wrapped in a 5xx SolrException

## Uses of SolrException in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that throw SolrException
Modifier and Type
Method
Description
`Aliases`
Aliases.`cloneWithCollectionAliasProperties(String alias, Map<String,String> properties)`
Set the values for some properties keys on a collection alias.
`Aliases`
Aliases.`cloneWithRename(String before, String after)`
Rename an alias.
`String`
Aliases.`resolveSimpleAlias(String aliasName)`
Resolve an alias that points to a single collection.
`static String`
Aliases.`resolveSimpleAliasGivenAliasMap(Map<String,List<String>> collectionAliasListMap, String aliasName)`

## Uses of SolrException in org.apache.solr.common.util

Methods in org.apache.solr.common.util that throw SolrException
Modifier and Type
Method
Description
`Collection<String>`
NamedList.`removeConfigArgs(String name)`
Used for getting one or many arguments from NamedList objects that hold configuration parameters.